> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update policy

> Update a policy by policy ID.

### SDK methods

Learn more about updating policies using our SDKs [here](/controls/policies/update-a-policy).


## OpenAPI

````yaml patch /v1/policies/{policy_id}
openapi: 3.1.0
info:
  version: 0.0.1
  title: Privy API
  description: >-
    REST API for Privy's wallet infrastructure — provision and manage wallets
    across EVM, Solana, and Bitcoin, authenticate users, sign transactions, and
    configure programmable policies and authorization intents.
  contact:
    name: Privy
    url: https://www.privy.io/
    email: support@privy.io
servers:
  - url: https://api.privy.io
security: []
tags:
  - name: Accounts
    description: Operations related to asset accounts
  - name: Aggregations
    description: Operations related to aggregations for tracking and measuring metrics
  - name: Apps
    description: Operations related to app settings and allowlist management
  - name: Client Auth
    description: OAuth token exchange and device authorization operations
  - name: Condition Sets
    description: Operations related to condition sets
  - name: Embedded wallets
    description: Operations related to embedded wallet creation and authentication
  - name: Fiat
    description: Operations related to fiat onramping and offramping
  - name: Intents
    description: Operations related to authorization intents for wallet actions
  - name: Key quorums
    description: Operations related to key quorums
  - name: Kraken Embed
    description: >-
      Operations for Kraken Embed integration, including quotes, trades, user
      management, and portfolio operations
  - name: OAuth
    description: >-
      OAuth 2.0 endpoints including Device Authorization Grant (RFC 8628) for
      CLI and limited-input device login flows
  - name: Organizations
    description: Operations related to organization secret management
  - name: Policies
    description: Operations related to policies
  - name: Shared
    description: Common schemas shared across resources
  - name: Swaps
    description: Operations for swapping tokens within wallets
  - name: Transactions
    description: Operations related to transactions
  - name: User signers
    description: Operations related to user signers
  - name: Users
    description: Operations related to users
  - name: Wallet Actions
    description: Operations related to wallet actions
  - name: Wallets
    description: Operations related to wallets
  - name: Webhooks
    description: >-
      Webhook events that Privy sends to your configured endpoint when specific
      actions occur in your app
  - name: Yield
    description: >-
      Operations for depositing and withdrawing funds from ERC-4626 yield vaults
      (Morpho, Aave)
paths:
  /v1/policies/{policy_id}:
    patch:
      tags:
        - Policies
      summary: Update Policy
      description: Update a policy by policy ID.
      operationId: updatePolicy
      parameters:
        - schema:
            type: string
            minLength: 24
            maxLength: 24
          required: true
          name: policy_id
          in: path
        - schema:
            type: string
            description: ID of your Privy app.
          required: true
          name: privy-app-id
          in: header
        - schema:
            type: string
            description: >-
              Request authorization signature. If multiple signatures are
              required, they should be comma separated.
          required: false
          name: privy-authorization-signature
          in: header
        - schema:
            type: string
            description: >-
              Request expiry. Value is a Unix timestamp in milliseconds
              representing the deadline by which the request must be processed.
          required: false
          name: privy-request-expiry
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Name to assign to policy.
                rules:
                  type: array
                  items:
                    $ref: '#/components/schemas/PolicyRuleRequestBody'
                owner:
                  $ref: '#/components/schemas/OwnerInput'
                owner_id:
                  $ref: '#/components/schemas/OwnerIdInput'
              additionalProperties: false
      responses:
        '200':
          description: Updated policy object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Policy'
      security:
        - appSecretAuth: []
components:
  schemas:
    PolicyRuleRequestBody:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 50
        method:
          $ref: '#/components/schemas/PolicyMethod'
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/PolicyCondition'
        action:
          $ref: '#/components/schemas/PolicyAction'
      required:
        - name
        - method
        - conditions
        - action
      additionalProperties: false
      description: The rules that apply to each method the policy covers.
      title: PolicyRuleRequestBody
      x-stainless-model: policies.policy_rule_request_body
    OwnerInput:
      anyOf:
        - $ref: '#/components/schemas/OwnerInputUser'
        - $ref: '#/components/schemas/OwnerInputPublicKey'
        - type: 'null'
        - type: 'null'
      description: >-
        The owner of the resource, specified as a Privy user ID, a P-256 public
        key, or null to remove the current owner.
      title: OwnerInput
      x-stainless-model: shared.owner_input
    OwnerIdInput:
      type:
        - string
        - 'null'
      format: cuid2
      description: >-
        The key quorum ID to set as the owner of the resource. If you provide
        this, do not specify an owner.
      title: OwnerIdInput
      x-stainless-model: shared.owner_id_input
    Policy:
      type: object
      properties:
        version:
          type: string
          enum:
            - '1.0'
          description: Version of the policy. Currently, 1.0 is the only version.
        name:
          type: string
          minLength: 1
          maxLength: 50
          description: Name to assign to policy.
        chain_type:
          $ref: '#/components/schemas/WalletChainType'
        id:
          type: string
          minLength: 24
          maxLength: 24
          description: >-
            Unique ID of the created policy. This will be the primary identifier
            when using the policy in the future.
        owner_id:
          description: The key quorum ID of the owner of the policy.
          anyOf:
            - $ref: '#/components/schemas/KeyQuorumId'
            - type: 'null'
        created_at:
          type: number
          description: Unix timestamp of when the policy was created in milliseconds.
        rules:
          type: array
          items:
            $ref: '#/components/schemas/PolicyRuleResponse'
      required:
        - version
        - name
        - chain_type
        - id
        - owner_id
        - created_at
        - rules
      additionalProperties: false
      description: A policy for controlling wallet operations.
      title: Policy
      example:
        id: tb54eps4z44ed0jepousxi4n
        name: Allowlisted stablecoins
        chain_type: ethereum
        rules:
          - id: bdyfoa65pro1eez6iwtzanol
            name: Allowlist USDC contract on Base
            method: eth_sendTransaction
            conditions:
              - field_source: ethereum_transaction
                field: to
                operator: eq
                value: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
            action: ALLOW
        owner_id: null
        version: '1.0'
        created_at: 1741833088894
      x-stainless-model: policies.policy
    PolicyMethod:
      type: string
      enum:
        - eth_sendTransaction
        - eth_signTransaction
        - eth_signUserOperation
        - eth_signTypedData_v4
        - personal_sign
        - eth_sign7702Authorization
        - wallet_sendCalls
        - signTransaction
        - signAndSendTransaction
        - signMessage
        - exportPrivateKey
        - exportSeedPhrase
        - signTransactionBytes
        - signRawMessageBytes
        - tron_sendTransaction
        - tron_signTransaction
        - earn_deposit
        - earn_withdraw
        - transfer
        - '*'
      description: Method the rule applies to.
      title: PolicyMethod
      x-stainless-model: policies.policy_method
    PolicyCondition:
      oneOf:
        - $ref: '#/components/schemas/EthereumTransactionCondition'
        - $ref: '#/components/schemas/EthereumCalldataCondition'
        - $ref: '#/components/schemas/EthereumTypedDataDomainCondition'
        - $ref: '#/components/schemas/EthereumTypedDataMessageCondition'
        - $ref: '#/components/schemas/Ethereum7702AuthorizationCondition'
        - $ref: '#/components/schemas/TempoTransactionCondition'
        - $ref: '#/components/schemas/SolanaProgramInstructionCondition'
        - $ref: '#/components/schemas/SolanaSystemProgramInstructionCondition'
        - $ref: '#/components/schemas/SolanaTokenProgramInstructionCondition'
        - $ref: '#/components/schemas/SystemCondition'
        - $ref: '#/components/schemas/TronTransactionCondition'
        - $ref: '#/components/schemas/TronCalldataCondition'
        - $ref: '#/components/schemas/SuiTransactionCommandCondition'
        - $ref: '#/components/schemas/SuiTransferObjectsCommandCondition'
        - $ref: '#/components/schemas/ActionRequestBodyCondition'
        - $ref: '#/components/schemas/AggregationCondition'
        - $ref: '#/components/schemas/MessageSigningCondition'
      discriminator:
        propertyName: field_source
        mapping:
          ethereum_transaction:
            $ref: '#/components/schemas/EthereumTransactionCondition'
          ethereum_calldata:
            $ref: '#/components/schemas/EthereumCalldataCondition'
          ethereum_typed_data_domain:
            $ref: '#/components/schemas/EthereumTypedDataDomainCondition'
          ethereum_typed_data_message:
            $ref: '#/components/schemas/EthereumTypedDataMessageCondition'
          ethereum_7702_authorization:
            $ref: '#/components/schemas/Ethereum7702AuthorizationCondition'
          tempo_transaction:
            $ref: '#/components/schemas/TempoTransactionCondition'
          solana_program_instruction:
            $ref: '#/components/schemas/SolanaProgramInstructionCondition'
          solana_system_program_instruction:
            $ref: '#/components/schemas/SolanaSystemProgramInstructionCondition'
          solana_token_program_instruction:
            $ref: '#/components/schemas/SolanaTokenProgramInstructionCondition'
          system:
            $ref: '#/components/schemas/SystemCondition'
          tron_transaction:
            $ref: '#/components/schemas/TronTransactionCondition'
          tron_trigger_smart_contract_data:
            $ref: '#/components/schemas/TronCalldataCondition'
          sui_transaction_command:
            $ref: '#/components/schemas/SuiTransactionCommandCondition'
          sui_transfer_objects_command:
            $ref: '#/components/schemas/SuiTransferObjectsCommandCondition'
          action_request_body:
            $ref: '#/components/schemas/ActionRequestBodyCondition'
          reference:
            $ref: '#/components/schemas/AggregationCondition'
          message:
            $ref: '#/components/schemas/MessageSigningCondition'
      description: A condition that must be true for the rule action to be applied.
      title: PolicyCondition
      x-stainless-model: policies.policy_condition
    PolicyAction:
      type: string
      enum:
        - ALLOW
        - DENY
      description: The action to take when a policy rule matches.
      title: PolicyAction
      x-stainless-model: policies.policy_action
    OwnerInputUser:
      type: object
      properties:
        user_id:
          type: string
      required:
        - user_id
      additionalProperties: false
      description: Owner input specifying a Privy user ID.
      title: OwnerInputUser
      x-stainless-model: shared.owner_input_user
    OwnerInputPublicKey:
      type: object
      properties:
        public_key:
          $ref: '#/components/schemas/P256PublicKey'
      required:
        - public_key
      additionalProperties: false
      description: Owner input specifying a P-256 public key.
      title: OwnerInputPublicKey
      x-stainless-model: shared.owner_input_public_key
    WalletChainType:
      type: string
      enum:
        - ethereum
        - solana
        - cosmos
        - stellar
        - sui
        - aptos
        - movement
        - tron
        - bitcoin-segwit
        - bitcoin-taproot
        - pearl
        - near
        - ton
        - starknet
        - spark
      description: The wallet chain types.
      title: WalletChainType
      x-stainless-model: wallets.wallet_chain_type
    KeyQuorumId:
      type: string
      format: cuid2
      description: A unique identifier for a key quorum.
      title: KeyQuorumId
      x-stainless-model: shared.key_quorum_id
    PolicyRuleResponse:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 50
        method:
          $ref: '#/components/schemas/PolicyMethod'
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/PolicyCondition'
        action:
          $ref: '#/components/schemas/PolicyAction'
        id:
          type: string
      required:
        - name
        - method
        - conditions
        - action
        - id
      additionalProperties: false
      description: >-
        A rule that defines the conditions and action to take if the conditions
        are true.
      title: PolicyRuleResponse
      example:
        id: rule_123
        name: Allowlist USDC contract on Base
        method: eth_sendTransaction
        conditions:
          - field_source: ethereum_transaction
            field: to
            operator: eq
            value: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
        action: ALLOW
      x-stainless-model: policies.policy_rule_response
    EthereumTransactionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - ethereum_transaction
        field:
          $ref: '#/components/schemas/EthereumTransactionConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        The verbatim Ethereum transaction object in an eth_signTransaction or
        eth_sendTransaction request.
      title: EthereumTransactionCondition
      x-stainless-model: policies.ethereum_transaction_condition
    EthereumCalldataCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - ethereum_calldata
        field:
          type: string
          title: EthereumCalldataConditionField
        abi:
          $ref: '#/components/schemas/AbiSchema'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - abi
        - operator
        - value
      description: >-
        The decoded calldata in a smart contract interaction as the smart
        contract method's parameters. Note that 'ethereum_calldata' conditions
        must contain an abi parameter with the JSON ABI of the smart contract.
      title: EthereumCalldataCondition
      x-stainless-model: policies.ethereum_calldata_condition
    EthereumTypedDataDomainCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - ethereum_typed_data_domain
        field:
          $ref: '#/components/schemas/EthereumTypedDataDomainConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: Attributes from the signing domain that will verify the signature.
      title: EthereumTypedDataDomainCondition
      x-stainless-model: policies.ethereum_typed_data_domain_condition
    EthereumTypedDataMessageCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - ethereum_typed_data_message
        field:
          type: string
          title: EthereumTypedDataMessageConditionField
        typed_data:
          $ref: '#/components/schemas/TypedDataInput'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - typed_data
        - operator
        - value
      description: >-
        'types' and 'primary_type' attributes of the TypedData JSON object
        defined in EIP-712.
      title: EthereumTypedDataMessageCondition
      x-stainless-model: policies.ethereum_typed_data_message_condition
    Ethereum7702AuthorizationCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - ethereum_7702_authorization
        field:
          type: string
          enum:
            - contract
          title: Ethereum7702AuthorizationConditionField
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: Allowed contract addresses for eth_sign7702Authorization requests.
      title: Ethereum7702AuthorizationCondition
      x-stainless-model: policies.ethereum_7702_authorization_condition
    TempoTransactionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - tempo_transaction
        field:
          $ref: '#/components/schemas/TempoTransactionConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        A Tempo (type 118) transaction-level field. Evaluated once per
        transaction (not per call).
      title: TempoTransactionCondition
      x-stainless-model: policies.tempo_transaction_condition
    SolanaProgramInstructionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - solana_program_instruction
        field:
          type: string
          enum:
            - programId
          title: SolanaProgramInstructionConditionField
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: Solana Program attributes, enables allowlisting Solana Programs.
      title: SolanaProgramInstructionCondition
      x-stainless-model: policies.solana_program_instruction_condition
    SolanaSystemProgramInstructionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - solana_system_program_instruction
        field:
          $ref: '#/components/schemas/SolanaSystemProgramInstructionConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        Solana System Program attributes, including more granular Transfer
        instruction fields.
      title: SolanaSystemProgramInstructionCondition
      x-stainless-model: policies.solana_system_program_instruction_condition
    SolanaTokenProgramInstructionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - solana_token_program_instruction
        field:
          $ref: '#/components/schemas/SolanaTokenProgramInstructionConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        Solana Token Program attributes, including more granular TransferChecked
        instruction fields.
      title: SolanaTokenProgramInstructionCondition
      x-stainless-model: policies.solana_token_program_instruction_condition
    SystemCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - system
        field:
          type: string
          enum:
            - current_unix_timestamp
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: System attributes, including current unix timestamp (in seconds).
      title: SystemCondition
      x-stainless-model: policies.system_condition
    TronTransactionCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - tron_transaction
        field:
          $ref: '#/components/schemas/TronTransactionConditionField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        TRON transaction fields for TransferContract and TriggerSmartContract
        transaction types.
      title: TronTransactionCondition
      x-stainless-model: policies.tron_transaction_condition
    TronCalldataCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - tron_trigger_smart_contract_data
        field:
          type: string
          title: TronCalldataConditionField
        abi:
          $ref: '#/components/schemas/AbiSchema'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - abi
        - operator
        - value
      description: Decoded calldata from a TRON TriggerSmartContract interaction.
      title: TronCalldataCondition
      x-stainless-model: policies.tron_calldata_condition
    SuiTransactionCommandCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - sui_transaction_command
        field:
          type: string
          enum:
            - commandName
          title: SuiTransactionCommandConditionField
        operator:
          $ref: '#/components/schemas/SuiTransactionCommandOperator'
        value:
          anyOf:
            - $ref: '#/components/schemas/SuiCommandName'
            - type: array
              items:
                $ref: '#/components/schemas/SuiCommandName'
          description: >-
            Command name(s) to match. Must be one of: 'TransferObjects',
            'SplitCoins', 'MergeCoins'
      required:
        - field_source
        - field
        - operator
        - value
      additionalProperties: false
      description: >-
        SUI transaction command attributes, enables allowlisting specific
        command types. Allowed commands: 'TransferObjects', 'SplitCoins',
        'MergeCoins'. Only 'eq' and 'in' operators are supported.
      title: SuiTransactionCommandCondition
      x-stainless-model: policies.sui_transaction_command_condition
    SuiTransferObjectsCommandCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - sui_transfer_objects_command
        field:
          $ref: '#/components/schemas/SuiTransferObjectsCommandField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        SUI TransferObjects command attributes, including recipient and amount
        fields.
      title: SuiTransferObjectsCommandCondition
      x-stainless-model: policies.sui_transfer_objects_command_condition
    ActionRequestBodyCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - action_request_body
        field:
          type: string
          title: ActionRequestBodyConditionField
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: Condition on the original wallet action API request body fields.
      title: ActionRequestBodyCondition
      x-stainless-model: policies.action_request_body_condition
    AggregationCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - reference
        field:
          type: string
          pattern: ^aggregation\.
          title: AggregationConditionField
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: >-
        Condition referencing an aggregation value. The field must start with
        "aggregation." followed by the aggregation ID.
      title: AggregationCondition
      x-stainless-model: policies.aggregation_condition
    MessageSigningCondition:
      type: object
      properties:
        field_source:
          type: string
          enum:
            - message
        field:
          $ref: '#/components/schemas/MessageSigningField'
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          $ref: '#/components/schemas/ConditionValue'
      required:
        - field_source
        - field
        - operator
        - value
      description: Condition on the message being signed (e.g. in personal_sign).
      title: MessageSigningCondition
      x-stainless-model: policies.message_signing_condition
    P256PublicKey:
      type: string
      description: A P-256 (secp256r1) public key.
      title: P256PublicKey
      x-stainless-model: shared.p_256_public_key
    EthereumTransactionConditionField:
      type: string
      enum:
        - to
        - value
        - chain_id
      description: >-
        Ethereum transaction-level fields that can be referenced in a policy
        condition.
      title: EthereumTransactionConditionField
      x-stainless-model: policies.ethereum_transaction_condition_field
    ConditionOperator:
      type: string
      enum:
        - eq
        - gt
        - gte
        - lt
        - lte
        - in
        - in_condition_set
        - contains
        - starts_with
        - ends_with
      description: Operator to use for policy conditions.
      title: ConditionOperator
      x-stainless-model: policies.condition_operator
    ConditionValue:
      anyOf:
        - type: string
        - type: array
          items:
            type: string
      description: >-
        Value to compare against in a policy condition. Can be a single string
        or an array of strings.
      title: ConditionValue
      x-stainless-model: policies.condition_value
    AbiSchema:
      type: array
      items:
        type: object
        properties:
          type:
            type: string
            enum:
              - function
              - constructor
              - event
              - fallback
              - receive
          name:
            type: string
          inputs:
            type: array
            items:
              $ref: '#/components/schemas/AbiParameter'
          outputs:
            type: array
            items:
              $ref: '#/components/schemas/AbiParameter'
          stateMutability:
            type: string
            enum:
              - pure
              - view
              - nonpayable
              - payable
          anonymous:
            type: boolean
        required:
          - type
      maxItems: 200
      description: A Solidity ABI definition for decoding smart contract calldata.
      title: AbiSchema
      x-stainless-model: policies.abi_schema
    EthereumTypedDataDomainConditionField:
      type: string
      enum:
        - chainId
        - verifyingContract
        - chain_id
        - verifying_contract
      description: Supported fields for Ethereum typed data domain conditions.
      title: EthereumTypedDataDomainConditionField
      x-stainless-model: policies.ethereum_typed_data_domain_condition_field
    TypedDataInput:
      type: object
      properties:
        types:
          $ref: '#/components/schemas/TypedDataTypesInputParams'
        primary_type:
          type: string
      required:
        - types
        - primary_type
      description: >-
        The typed data structure containing EIP-712 types and the primary type
        for typed data message policy conditions.
      title: TypedDataInput
      x-stainless-model: policies.typed_data_input
    TempoTransactionConditionField:
      type: string
      enum:
        - fee_token
        - fee_payer_signature
        - nonce_key
        - valid_before
        - valid_after
      description: >-
        Tempo (type 118) transaction-level fields that can be referenced in a
        policy condition.
      title: TempoTransactionConditionField
      x-stainless-model: policies.tempo_transaction_condition_field
    SolanaSystemProgramInstructionConditionField:
      type: string
      enum:
        - instructionName
        - Transfer.from
        - Transfer.to
        - Transfer.lamports
      description: >-
        Supported fields for Solana System Program conditions including Transfer
        instruction fields.
      title: SolanaSystemProgramInstructionConditionField
      x-stainless-model: policies.solana_system_program_instruction_condition_field
    SolanaTokenProgramInstructionConditionField:
      type: string
      enum:
        - instructionName
        - Transfer.source
        - Transfer.destination
        - Transfer.authority
        - Transfer.amount
        - TransferChecked.source
        - TransferChecked.destination
        - TransferChecked.authority
        - TransferChecked.amount
        - TransferChecked.mint
        - Burn.account
        - Burn.mint
        - Burn.authority
        - Burn.amount
        - MintTo.mint
        - MintTo.account
        - MintTo.authority
        - MintTo.amount
        - CloseAccount.account
        - CloseAccount.destination
        - CloseAccount.authority
        - InitializeAccount3.account
        - InitializeAccount3.mint
        - InitializeAccount3.owner
      description: >-
        Supported fields for Solana Token Program conditions including Transfer,
        TransferChecked, Burn, MintTo, CloseAccount, and InitializeAccount3
        instruction fields.
      title: SolanaTokenProgramInstructionConditionField
      x-stainless-model: policies.solana_token_program_instruction_condition_field
    TronTransactionConditionField:
      type: string
      enum:
        - TransferContract.to_address
        - TransferContract.amount
        - TriggerSmartContract.contract_address
        - TriggerSmartContract.call_value
        - TriggerSmartContract.token_id
        - TriggerSmartContract.call_token_value
      description: >-
        Supported TRON transaction fields for TransferContract and
        TriggerSmartContract in format "TransactionType.field_name".
      title: TronTransactionConditionField
      x-stainless-model: policies.tron_transaction_condition_field
    SuiTransactionCommandOperator:
      anyOf:
        - type: string
          enum:
            - eq
        - type: string
          enum:
            - in
      description: >-
        Operator to use for SUI transaction command conditions. Only 'eq' and
        'in' are supported for command names.
      title: SuiTransactionCommandOperator
      x-stainless-model: policies.sui_transaction_command_operator
    SuiCommandName:
      type: string
      enum:
        - TransferObjects
        - SplitCoins
        - MergeCoins
      description: >-
        SUI transaction commands allowlist for raw_sign endpoint policy
        evaluation
      title: SuiCommandName
      x-stainless-model: wallets.sui_command_name
    SuiTransferObjectsCommandField:
      type: string
      enum:
        - recipient
        - amount
      description: >-
        Supported fields for SUI TransferObjects command conditions. Only
        'recipient' and 'amount' are supported.
      title: SuiTransferObjectsCommandField
      x-stainless-model: policies.sui_transfer_objects_command_field
    MessageSigningField:
      type: string
      enum:
        - content
        - byte_length
      description: Supported fields for message signing conditions.
      title: MessageSigningField
      example: content
      x-stainless-model: policies.message_signing_field
    AbiParameter:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        components:
          type: array
          items:
            type: object
            description: Nested recursive array of AbiParameter objects.
            additionalProperties: true
        indexed:
          type: boolean
        internalType:
          type: string
      required:
        - type
      description: A parameter in a Solidity ABI function or event definition.
      title: AbiParameter
      x-stainless-model: policies.abi_parameter
    TypedDataTypesInputParams:
      type: object
      additionalProperties:
        type: array
        items:
          $ref: '#/components/schemas/TypedDataTypeFieldInput'
      description: The type definitions for EIP-712 typed data signing.
      title: TypedDataTypesInputParams
      x-stainless-model: wallets.typed_data_types_input_params
    TypedDataTypeFieldInput:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
      required:
        - name
        - type
      description: A single field definition in an EIP-712 typed data type.
      title: TypedDataTypeFieldInput
      x-stainless-model: wallets.typed_data_type_field_input
  securitySchemes:
    appSecretAuth:
      type: http
      scheme: basic
      description: >-
        Basic Auth header with your app ID as the username and your app secret
        as the password.

````